> ## Documentation Index
> Fetch the complete documentation index at: https://docs.spirii.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get tokens associated with a voucher by voucher ID

> List of token IDs associated with the voucher.

A Voucher belongs to a Voucher Group and is uniquely identified by a code.
It can be linked to multiple tokens (idtags) and appUsers.

When a driver starts a session at a location, the system checks:

If the driver’s token is linked to a voucher, or

If the driver’s appUser (linked to that token) is linked to a voucher.

If either is true and the voucher’s group is associated with the location, the voucher is applied — potentially affecting pricing or granting access.



## OpenAPI

````yaml /openapi/integration-api-v2/openapi.yaml get /v2/vouchers/{id}/tokens
openapi: 3.0.0
info:
  title: Spirii API
  description: Spirii API
  version: 2.10.0
  contact: {}
servers:
  - url: https://api.spirii.com
security: []
tags: []
paths:
  /v2/vouchers/{id}/tokens:
    get:
      tags:
        - Vouchers
      summary: Get tokens associated with a voucher by voucher ID
      description: >-
        List of token IDs associated with the voucher.


        A Voucher belongs to a Voucher Group and is uniquely identified by a
        code.

        It can be linked to multiple tokens (idtags) and appUsers.


        When a driver starts a session at a location, the system checks:


        If the driver’s token is linked to a voucher, or


        If the driver’s appUser (linked to that token) is linked to a voucher.


        If either is true and the voucher’s group is associated with the
        location, the voucher is applied — potentially affecting pricing or
        granting access.
      operationId: getVoucherTokens
      parameters:
        - name: id
          required: true
          in: path
          description: Used to identify the voucher throughout the Spirii system
          schema:
            type: number
      responses:
        '200':
          description: Voucher tokens have been found.
          content:
            application/json:
              schema:
                type: array
                items:
                  type: number
                example:
                  - 1
                  - 2
                  - 3
        '404':
          description: The voucher with the provided ID was not found.

````